Summary: Beeswax, a UI for Hive that runs on Cloudera Desktop
Name: cloudera-desktop-beeswax-basic
Version: 0.1.0
License: Proprietary
Release: 1
Group: Misc
Source0: beeswax-basic-%{version}.tar.gz
URL: http://www.cloudera.com
Vendor: Cloudera, Inc.
Packager: Todd Lipcon <todd@cloudera.com>
BuildRequires: /usr/bin/make, cloudera-desktop = 0.4.0
BuildRoot: %{_buildrootdir}/%{name}-root
Requires: cloudera-desktop >= 0.4.0, cloudera-desktop < 0.5.0, /usr/bin/make

%define username cdesktop
%define desktop_dir /usr/share/cloudera-desktop
%define app_dir %{desktop_dir}/desktop/apps/beeswax
%description
Beeswax app for Cloudera Desktop


########################################
# Do not build noarch
########################################
%ifnarch noarch

%prep
%setup -n beeswax-basic

%build

%install
APPS_DIR=$RPM_BUILD_ROOT/%{desktop_dir}/desktop/apps
mkdir -p $APPS_DIR
ROOT=%{desktop_dir} \
  INSTALL_DIR=$RPM_BUILD_ROOT/%{desktop_dir} \
  APP_NAME=beeswax \
  FLAVOR=basic \
  make -f %{desktop_dir}/desktop/app.mk install-binary-dist
chown -R cdesktop:cdesktop $APPS_DIR

%post
DO="/sbin/runuser -s /bin/bash %{username} -c"
export ROOT=%{desktop_dir}
export DESKTOP_LOGLEVEL=WARN

if [ -e %{app_dir}/Makefile ]; then
  $DO "make -s -C %{app_dir} env-install"
else
  $DO "make -s -C %{app_dir} -f %{desktop_dir}/desktop/app.mk env-install"
fi
$DO "$ROOT/env/bin/desktop syncdb"

%preun
DO="/sbin/runuser -s /bin/bash - %{username} -c"
export ROOT=%{desktop_dir}
export DESKTOP_LOGLEVEL=WARN

if [ -e %{app_dir}/Makefile ]; then
  $DO "make -s -C %{app_dir} env-uninstall"
else
  $DO "make -s -C %{app_dir} -f %{desktop_dir}/desktop/app.mk env-uninstall"
fi


%files
%defattr(-, cdesktop, cdesktop)
%{app_dir}
%{desktop_dir}/desktop/conf/cloudera-desktop-beeswax.ini

%endif # END !NOARCH
