#!/usr/bin/env python
# (c) Copyright 2010 Cloudera, Inc. All rights reserved.
"""Configuration options for the Hive UI (Beeswax)."""
from desktop.lib.conf import Config
import desktop.lib.paths
import os

BEESWAX_SERVER_HOST = Config(
  key="beeswax_server_host",
  help="Host where beeswax server thrift daemon is running",
  private=True,
  default="localhost")

BEESWAX_SERVER_PORT = Config(
  key="beeswax_server_port",
  help="Configure the port the beeswax thrift server runs on",
  default=8002,
  type=int)

BEESWAX_META_SERVER_HOST = Config(
  key="beeswax_meta_server_host",
  help="Host where beeswax internal metastore thrift daemon is running",
  private=True,
  default="localhost")

BEESWAX_META_SERVER_PORT = Config(
  key="beeswax_meta_server_port",
  help="Configure the port the internal metastore daemon runs on. Used only if "
       "hive.metastore.local is true.",
  default=8003,
  type=int)

BEESWAX_SERVER_BIN = Config(
  key="beeswax_server_bin",
  help="Path to beeswax_server.sh",
  private=True,
  default=os.path.join(os.path.dirname(__file__), "..", "..", "beeswax_server.sh"))

BEESWAX_HIVE_CONF_DIR = Config(
  key='hive_conf_dir',
  help='Hive configuration directory, where hive-site.xml is located',
  default=desktop.lib.paths.get_desktop_root('conf'))

LOCAL_EXAMPLES_DATA_DIR = Config(
  key='local_examples_data_dir',
  default=os.path.join(os.path.dirname(__file__), "..", "..", "data"),
  help='The local filesystem path containing the beeswax examples')
