#!/usr/bin/env python
# (c) Copyright 2010 Cloudera, Inc. All rights reserved.

"""
The Report Generator package
"""

import logging
from desktop.lib.django_util import PopupException

LOG = logging.getLogger(__name__)

try:
  from beeswax.report import views
  from beeswax.report import design
  # We have the necessary modules
  _ENABLED = True
except ImportError, ex:
  LOG.debug("----------- Report generator disabled ----------")
  _ENABLED = False


def _export(name):
  """Export the object in another module as our own"""
  if _ENABLED:
    mod, obj = name.rsplit('.', 1)
    return eval("getattr(%s, '%s')" % (mod, obj))
  else:
    def noop(*args, **kwargs):
      raise PopupException('Feature unavailable in current version')
    return noop


##############
# Things that we explicity expose
##############
edit_report = _export('views.edit_report')
ReportDesign = _export('design.ReportDesign')

def is_enabled():
  return _ENABLED
