## (c) Copyright 2010 Cloudera, Inc. All rights reserved.
## TODO(philip): Check escaping more carefully?
## TODO(philip): The whitespace management here is mediocre.
##
## |n is used throughout here, since this is not going to HTML.
##
## Reference: http://wiki.apache.org/hadoop/Hive/LanguageManual/DDL#Create_Table
<%!
def col_type(col):
  if col["column_type"] == "array":
    return "array <%s>" % col["array_type"]
  elif col["column_type"] == "map":
    return "map <%s, %s>" % (col["map_key_type"], col["map_value_type"])
  return col["column_type"]
%>\
<%def name="column_list(columns)">\
## Returns (foo int, bar string)-like data for columns
(
<% first = True %>\
% for col in columns:
%   if first:
<% first = False %>\
%   else:
,
%   endif
  `${col["column_name"]|n}` ${col_type(col)|n} \
%   if col.get("comment"):
   COMMENT "${col["comment"]|n}" \
%   endif
% endfor
) \
</%def>\
#########################
CREATE \
% if not table["use_default_location"]:
EXTERNAL \
% endif
TABLE `${ table["name"] | n }`
${column_list(columns)|n}
% if len(partition_columns) > 0:
PARTITIONED BY ${column_list(partition_columns)|n}
% endif
% if table["comment"]:
  COMMENT "${table["comment"] | n}"
% endif
## TODO: CLUSTERED BY here
## TODO: SORTED BY...INTO...BUCKETS here
ROW FORMAT \
% if table["row_format"] == "Delimited":
DELIMITED
  FIELDS TERMINATED BY '${table["field_terminator"] | n}'
  COLLECTION ITEMS TERMINATED BY '${table["collection_terminator"] | n}'
  MAP KEYS TERMINATED BY '${table["map_key_terminator"] | n}'
% else:
SERDE ${table["serde_name"] | n}
%   if table["serde_properties"]:
WITH SERDEPROPERTIES ${table["serde_properties"] | n}
%   endif
% endif
STORED AS ${table["file_format"] | n} \
% if table["file_format"] == "InputFormat":
INPUTFORMAT ${table["input_format_class"] | n} OUTPUTFORMAT ${table["output_format_class"] | n}
% endif
% if not table["use_default_location"]:
LOCATION "${table["external_location"] | n}"
% endif
