<%namespace name="wrappers" file="header_footer.mako" />
<%namespace name="util" file="util.mako" />
${wrappers.head("Beeswax: Query Results", section='query')}

<div class="view" id="watch_results">
  <div class="splitview resizable">
    <div class="left_col">
      ${util.render_query_context(query_context)}
        <dl class="jframe_padded">
          % if download_urls:
            <dt class="ccs-dt_cap">Downloads</dt>
            <dd class="ccs-dd_bottom bw-actions">
              <ul>
                <li><a target="_blank" href="${download_urls["csv"]}" class="bw-download_csv">Download as CSV</a>
                <li><a target="_blank" href="${download_urls["xls"]}" class="bw-download_xls">Download as XLS</a>
              </ul>
            </dd>
          % endif
          <%
            n_jobs = hadoop_jobs and len(hadoop_jobs) or 0
            mr_jobs = (n_jobs == 1) and "MR Job" or "MR Jobs"
          %>
          <dt class="ccs-dt_cap">${mr_jobs}</dt>
          <dd class="ccs-dd_bottom bw-actions">
            <ul>
              % if n_jobs > 0:
                <h3 class="ccs-hidden">This query launched ${n_jobs} ${mr_jobs}:</h3>
                <ul class="beeswax_hadoop_job_links">
                  % for jobid in hadoop_jobs:
                  <li><a href="${url("jobtracker.views.single_job", jobid=jobid)}" target="JobBrowser" class="bw-hadoop_job">${jobid.replace("job_", "")}</a></li>
                  % endfor
                </ul>
              % else:
                <p class="bw-no_jobs">No Hadoop jobs were launched in running this query.</p>
              % endif 
            </ul>
          </dd>
        </dl>
    </div>
    <div class="right_col">
      <div class="ccs-tab_ui">
          <ul class="toolbar bw-results_tabs ccs-tabs ccs-right clearfix">
            <li><span>
                % if error:
                  Error
                % else:
                  Results
                % endif
              </span></li>
            <li><span>Query</span></li>
            <li><span>Log</span></li>
          </ul>

        <ul class="ccs-tab_sections ccs-clear">
          <li>
            % if error:
              <div class="ccs-error jframe_padded">
                <h3 class="ccs-hidden">Error!</h3> 
                <pre>${error_message}</pre>
              </div>
            % else:
              <div class="bw-result_nav">
                % if start_row != 0:
                  <a href="${ url('beeswax.views.view_results', query.id, 0) }">[top]</a>
                % endif

                % if has_more:
                  <a href="${ url('beeswax.views.view_results', query.id, next_row) }">[next]</a>
                % endif
              </div>
              % if expected_first_row != start_row:
                <div class="bw-result_warning">Warning:</i> You may have missed some rows.</div>
              % endif
              <table class="ccs-data_table" cellpadding="0" cellspacing="0">
                <thead>
                  <tr>
                    <th>-</th>
                    % for col in columns:
                      <th>${col}</th>
                    % endfor
                  </tr>
                </thead>
                <tbody>
                  % for i, row in enumerate(results):
                  <tr>
                    <td>${start_row + i}</td>
                    % for item in row:
                      <td>${ item }</td>
                    % endfor
                  </tr>
                  % endfor
                </tbody>
              </table>
            % endif
          </li>
          <li class="jframe_padded">
            <pre>${query.query}</pre>
          </li>
          <li class="jframe_padded">
            <pre>${log}</pre>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>
${wrappers.foot()}
