#!/usr/bin/env python
# (c) Copyright 2010 Cloudera, Inc. All rights reserved.

from django.conf.urls.defaults import patterns, url

urlpatterns = patterns('beeswax',
  url(r'^$', 'views.index'),
  url(r'^tables$', 'views.show_tables'),
  url(r'^table/(?P<table>\w+)$', 'views.describe_table'),
  url(r'^table/(?P<table>\w+)/partitions$', 'views.describe_partitions'),
  url(r'^table/(?P<table>\w+)/load$', 'views.load_table'),
  url(r'^table/(?P<table>\w+)/read$', 'views.read_table'),
  url(r'^table/(?P<table>\w+)/drop$', 'views.drop_table'),
  url(r'^create_table$', 'views.create_table'),
  url(r'^execute$', 'views.execute_query'),
  url(r'^execute/(?P<design_id>\d+)$', 'views.execute_query'),
  url(r'^my_queries$', 'views.my_queries'),
  url(r'^list_designs$', 'views.list_designs'),
  url(r'^delete_design/(?P<design_id>\d+)$', 'views.delete_design'),
  url(r'^clone_design/(?P<design_id>\d+)$', 'views.clone_design'),
  url(r'^query_history$', 'views.list_query_history'),
  url(r'^report_gen$', 'views.edit_report'),
  url(r'^report_gen/(?P<design_id>\d+)$', 'views.edit_report'),
  url(r'^watch/(?P<id>\d+)$', 'views.watch_query'),
  url(r'^results/(?P<id>\d+)/(?P<first_row>\d+)$', 'views.view_results'),
  url(r'^download/(?P<id>\d+)/(?P<format>\w+)$', 'views.download'),
  url(r'^configuration$', 'views.configuration'),
  url(r'^install_examples$', 'views.install_examples'),
)
